<?php


add_action( 'init', 'create_post_type' );
function create_post_type() {
  register_post_type( 'PortfolioNs',
    array(
      'labels' => array(
        'name' => __( 'Portfolio', 'nst' ),
        'singular_name' => __( 'Portfolio', 'nst' )
      ),
      'public' => true,
      'has_archive' => true,
      'supports' => array( 'title', 'editor', 'thumbnail' ),
      'exclude_from_search' => true
    )
  );

    
}





add_action( 'init', 'create_book_taxonomies', 0 );

// create two taxonomies, genres and writers for the post type "book"
function create_book_taxonomies() {
	$labels = array(
		'name'              => _x( 'Category', 'taxonomy general name', 'nst' ),
		'singular_name'     => _x( 'Category', 'taxonomy singular name', 'nst' ),
		'search_items'      => __( 'Search Category', 'nst' ),
		'all_items'         => __( 'All Category', 'nst' ),
		'parent_item'       => __( 'Parent Category', 'nst' ),
		'parent_item_colon' => __( 'Parent Category:', 'nst' ),
		'edit_item'         => __( 'Edit Category', 'nst' ),
		'update_item'       => __( 'Update Category', 'nst' ),
		'add_new_item'      => __( 'Add New Category', 'nst' ),
		'new_item_name'     => __( 'New Category Name', 'nst' ),
		'menu_name'         => __( 'Category', 'nst' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'portfolio-category' ),
	);

	register_taxonomy( 'portfolio-category', array( 'portfolions' ), $args );

}


?>
