<?php
add_action( 'vc_before_init', 'nstitlesettingsclass_integrateWithVC' );
function nstitlesettingsclass_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Title Settings", "nst" ),
      "base" => "titlesettingtag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Title', 'nst' ),
            'param_name' => 'titlesettingsfield',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Title Type', 'nst' ),
            'param_name' => 'titletypesettingsfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Big Title'  => 'NSClassTitleNormal',             
        'Single Section'   => 'NSClassTitleSection',
        'Single Section Light'   => 'NSClassTitleDecoration',
        'Single Section Dark'   => 'NSClassTitleOther'
      ),
        ),


      ),
   ) );
}


add_action( 'vc_before_init', 'buttonNSType_integrateWithVC' );
function buttonNSType_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Button", "nst" ),
      "base" => "buttonsettingtag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Button Text', 'nst' ),
            'param_name' => 'buttontextnsfield',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Button Link', 'nst' ),
            'param_name' => 'buttonlinknsfield',
            'group' => __( 'General', 'nst' ),
        ),        
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Type', 'nst' ),
            'param_name' => 'typebuttonnsfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),


      ),
   ) );
}


add_action( 'vc_before_init', 'ContentSeparatorNS_integrateWithVC' );
function ContentSeparatorNS_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Separator", "nst" ),
      "base" => "contentseparatornstag",
      "category" => "NsThemes",
      "params" => array(
      
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Class Type', 'nst' ),
            'param_name' => 'typeclassseparatorns',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Classic'  => 'SeparatorContentClassicNS',             
        'Fantasy'  => 'SeparatorContentFantasyNS'
      ),
        ),


      ),
   ) );
}




add_action( 'vc_before_init', 'ReservetionFormNs_integrateWithVC' );
function ReservetionFormNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Appointment", "nst" ),
      "base" => "reservationformnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Email Appointment Receiver', 'nst' ),
            'param_name' => 'mailtoreservationns',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Appointment Department List', 'nst' ),
            'description' => __( 'Insert department list with separated coma (eg. Psychology,Psychiatry)', 'nst' ),
            'param_name' => 'appointmentdepartmentlistns',
            'group' => __( 'General', 'nst' ),
        ),        
        array(
            'type' => 'dropdown',
            'heading' => __( 'Button Type', 'nst' ),
            'param_name' => 'typebuttonnsreservefield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),         
      )      

   ) );
}


add_action( 'vc_before_init', 'GapNS_integrateWithVC' );
function GapNS_integrateWithVC() {
  $argsns = array();
  $i = 0;
  for ($i=0; $i <= 100; $i=$i+5) {
    if($i != 0){
      $argsns[$i] = $i;
    }
  }
   vc_map( array(
      "name" => __( "NS Gap", "nst" ),
      "base" => "gapnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Gap Height', 'nst' ),
            'param_name' => 'gapheightns',
            'group' => __( 'General', 'nst' ),
            "value"       => $argsns
        ),        
      )      

   ) );
}


add_action( 'vc_before_init', 'MapsNS_integrateWithVC' );
function MapsNS_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Map", "nst" ),
      "base" => "mapsnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Address Map', 'nst' ),
            'param_name' => 'addressmapnsfield',
            'group' => __( 'General', 'nst' ),
        ),                       
      ),
   ) );
}





add_action( 'vc_before_init', 'ContactFormNs_integrateWithVC' );
function ContactFormNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Contact Form", "nst" ),
      "base" => "contactformnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Email Contact Receiver', 'nst' ),
            'param_name' => 'mailtocontactns',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Button Type', 'nst' ),
            'param_name' => 'typebuttonnscontactfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),         
      )      

   ) );
}



add_action( 'vc_before_init', 'postsns_integrateWithVC' );
function postsns_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Post", "nst" ),
      "base" => "postnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'dropdown',
            'heading' => __( 'Number of posts', 'nst' ),
            'param_name' => 'postsnsposts',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Unlimited'  => '-1',             
        '1'   => '1',
        '2'   => '2',
        '3'   => '3',
        '4'   => '4',
        '5'   => '5',
        '6'   => '6',
        '7'   => '7',
        '8'   => '8',
        '9'   => '9',
        '10'  => '10',                                                
        '11'  => '11', 
        '12'  => '12', 
        '13'  => '13', 
        '14'  => '14', 
        '15'  => '15', 
        '16'  => '16', 
        '17'  => '17', 
        '18'  => '18', 
        '19'  => '19', 
        '20'  => '20', 
      ),
        ),



      ),
   ) );
}


add_action( 'vc_before_init', 'CarouselNs_integrateWithVC' );
function CarouselNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Carousel", "nst" ),
      "base" => "carouselnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'attach_images',
            'holder' => 'div',
            'heading' => __( 'Carousel image', 'nst' ),
            'param_name' => 'carouselimgns',
            'group' => __( 'General', 'nst' ),
        ),         
      )      

   ) );
}

add_action( 'vc_before_init', 'ItemTextNs_integrateWithVC' );
function ItemTextNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Item text", "nst" ),
      "base" => "itemtextnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Item', 'nst' ),
            'param_name' => 'itemtextns',
            'group' => __( 'General', 'nst' ),
        ), 
        array(
            'type' => 'dropdown',
            'heading' => __( 'Item Type', 'nst' ),
            'param_name' => 'typeitemtextns',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ItemNSNormalClass',
        'Featured'   => 'ItemNSNFeaturedClass'
      ),
        ), 

      )      

   ) );
}


add_action( 'vc_before_init', 'ImageNs_integrateWithVC' );
function ImageNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Image", "nst" ),
      "base" => "imagenstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'attach_image',
            'holder' => 'div',
            'heading' => __( 'Image', 'nst' ),
            'param_name' => 'imagens',
            'group' => __( 'General', 'nst' ),
        ), 
        array(
            'type' => 'dropdown',
            'heading' => __( 'Item Type', 'nst' ),
            'param_name' => 'typeimagens',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ImageNSNormalClass',
        'Background'  => 'ImageNSBackgroundClass'
      ),
        ), 

      )      

   ) );
}
?>